Doomsday Engine - Bug #1825

[Hexen] Loading autosaved progress on a previously visited map loads an out of date save state
2014-06-18 20:16 - danij

Status: Closed Start date: 2014-06-18
Priority: Urgent % Done: 100%
Assignee: danij

Category: Regression

Target version: 1.14.5

Description

The internal savegame is not being updated when revisiting a previously visited map.

Associated revisions

Revision b9c2ec3c - 2014-06-16 00:02 - danij

Fixed|Hexen|GameSession: Always update the internal.save when revisiting a map

Somewhere down the line the logic for updating the old "reborn" slot
was confused resulting in explicit logic to not update internal.save
when revisiting a previously visited map. This is of course wrong as
if the player dies and they then attempt to load their progress they
will instead be taken to the map which they last left (in the current
hub).

| also inlined the P_RemoveAllPlayerMobjs() logic into GameSession
as its unlikely we'll need to do this anywhere else.

History

#1 - 2014-06-18 20:18 - danij
- Status changed from New to Closed

- % Done changed from 0 to 100
